<?xml version="1.0" encoding="utf-8"?>
<resources>

    <declare-styleable name="ExpandTextView">
        <attr name="endText" format="string" />
        <attr name="expandText" format="string" />
        <attr name="useGradientAlphaEndText" format="boolean" />
    </declare-styleable>

    <declare-styleable name="verify_EditText">
        <!-- 验证码的个数 -->
        <attr name="verify_count" format="integer" />
        <!--        TextView 的宽度-->
        <attr name="verify_width" format="dimension" />
        <!--        TextView 的高度-->
        <attr name="verify_height" format="dimension" />
        <!--        TextView 的间隔-->
        <attr name="verify_margin" format="dimension" />
        <!--        TextView 的字体大小-->
        <attr name="verify_textSize" format="dimension" />
        <!--        TextView 的字体颜色-->
        <attr name="verify_textColor" format="color" />
        <!-- TextView 无值背景 -->
        <attr name="verify_background_normal" format="reference" />
        <!-- TextView 有值背景 -->
        <attr name="verify_background_selected" format="reference" />
        <!--        是否隐藏密码-->
        <attr name="verify_password" format="boolean" />
        <!--        密码显示时间ms-->
        <attr name="verify_password_visible_time" format="integer" />
        <!--        editText的输入类型 -->
        <attr name="verify_inputType">
            <flag name="none" value="0x00000000" />
            <flag name="text" value="0x00000001" />
            <flag name="textCapCharacters" value="0x00001001" />
            <flag name="textCapWords" value="0x00002001" />
            <flag name="textCapSentences" value="0x00004001" />
            <flag name="textAutoCorrect" value="0x00008001" />
            <flag name="textAutoComplete" value="0x00010001" />
            <flag name="textMultiLine" value="0x00020001" />
            <flag name="textImeMultiLine" value="0x00040001" />
            <flag name="textNoSuggestions" value="0x00080001" />
            <flag name="textUri" value="0x00000011" />
            <flag name="textEmailAddress" value="0x00000021" />
            <flag name="textEmailSubject" value="0x00000031" />
            <flag name="textShortMessage" value="0x00000041" />
            <flag name="textLongMessage" value="0x00000051" />
            <flag name="textPersonName" value="0x00000061" />
            <flag name="textPostalAddress" value="0x00000071" />
            <flag name="textPassword" value="0x00000081" />
            <flag name="textVisiblePassword" value="0x00000091" />
            <flag name="textWebEditText" value="0x000000a1" />
            <flag name="textFilter" value="0x000000b1" />
            <flag name="textPhonetic" value="0x000000c1" />
            <flag name="textWebEmailAddress" value="0x000000d1" />
            <flag name="textWebPassword" value="0x000000e1" />
            <flag name="number" value="0x00000002" />
            <flag name="numberSigned" value="0x00001002" />
            <flag name="numberDecimal" value="0x00002002" />
            <flag name="numberPassword" value="0x00000012" />
            <flag name="phone" value="0x00000003" />
            <flag name="datetime" value="0x00000004" />
            <flag name="date" value="0x00000014" />
            <flag name="time" value="0x00000024" />
        </attr>
    </declare-styleable>

    <declare-styleable name="TabIndicatorView">
        <attr name="indicatorColor" format="color|reference" />
        <attr name="indicatorDrawable" format="reference" />
        <attr name="disableIndicatorScaling" format="boolean" />
    </declare-styleable>

    <declare-styleable name="RadiusCardView">
        <attr name="topLeftRadius" format="dimension" />
        <attr name="topRightRadius" format="dimension" />
        <attr name="bottomRightRadius" format="dimension" />
        <attr name="bottomLeftRadius" format="dimension" />
    </declare-styleable>

    <declare-styleable name="MarqueeViewStyle">
        <attr name="mvInterval" format="integer|reference" />
        <attr name="mvAnimDuration" format="integer|reference" />
        <attr name="mvTextSize" format="dimension|reference" />
        <attr name="mvTextColor" format="color|reference" />
        <attr name="mvSingleLine" format="boolean" />
    </declare-styleable>

    <declare-styleable name="MaxHeightRecyclerView">
        <attr name="mRvMaxHeight" format="dimension" />
    </declare-styleable>

    <declare-styleable name="LongPressViewStyle">
        <attr name="timeout" format="integer" />
    </declare-styleable>

    <declare-styleable name="MaterializedRelativeLayout">
        <attr name="consumeWindowInsets" format="boolean" />
    </declare-styleable>

    <declare-styleable name="LimitHeightScrollView">
        <attr name="maxHeight" format="dimension" />
    </declare-styleable>

    <declare-styleable name="CircleProgressBar">
        <!--文字大小-->
        <attr name="text_size" format="dimension" />
        <!--文本-->
        <attr name="text" format="string" />
        <!--变宽宽度-->
        <attr name="stroke_width" format="integer" />
        <!--文字颜色-->
        <attr name="text_color" format="color|reference" />
        <!--禁用文字颜色-->
        <attr name="disable_text_color" format="color|reference" />
        <!--未走的进度的颜色-->
        <attr name="normal_color" format="color|reference" />
        <!--禁用未走的进度的颜色-->
        <attr name="disable_normal_color" format="color|reference" />
        <!--已走的进度的颜色-->
        <attr name="progress_color" format="color|reference" />
        <!--禁用已走的进度的颜色-->
        <attr name="disable_progress_color" format="color|reference" />
        <!--已走的进度 0-360 -->
        <attr name="progress" format="integer" />
        <!--类型 填充型，还是环形-->
        <attr name="progress_style" format="enum">
            <enum name="STROKE" value="0" />
            <enum name="FILL" value="1" />
        </attr>
        <attr name="show_progress" format="boolean" />
    </declare-styleable>

    <declare-styleable name="AvatarBorderView">
        <attr name="avatar_width" format="dimension" />
        <attr name="badge_width" format="dimension" />
        <attr name="border_color" format="color|reference" />
        <attr name="border_width" format="dimension" />
        <attr name="border_ratio" format="float" />
    </declare-styleable>

    <declare-styleable name="CardLayout">
        <attr name="left" format="dimension" />
        <attr name="top" format="dimension" />
        <attr name="right" format="dimension" />
        <attr name="bottom" format="dimension" />
        <attr name="tran" format="boolean" />
        <attr name="reverse" format="boolean" />
    </declare-styleable>

    <declare-styleable name="MaxHeightNestedScrollView">
        <attr name="mMaxHeight" format="dimension" />
    </declare-styleable>

    <declare-styleable name="CustomSeekBar">
        <attr name="progressTextPaddingBottom" format="float" />
        <attr name="progressTextSize" format="dimension" />
        <attr name="progressTextColor" format="color|reference" />
    </declare-styleable>

    <declare-styleable name="CropImageCustom">
        <attr name="horizontalPadding" format="dimension" />
    </declare-styleable>

    <declare-styleable name="SegmentedFilterView">
        <attr name="containerBackground" format="reference" />
        <attr name="containerPadding" format="dimension" />
        <attr name="indicatorBackground" format="reference" />
        <attr name="sfv_itemWidth" format="dimension" />
        <attr name="sfv_itemHeight" format="dimension" />
        <attr name="animationDuration" format="integer" />
        <attr name="sfv_textCheckedColor" format="color|reference" />
        <attr name="sfv_textDefaultColor" format="color|reference" />
        <attr name="sfv_textSize" format="float" />
    </declare-styleable>

    <declare-styleable name="MaterialRatingBar">
        <attr name="mrb_progressTint" format="color|reference" />
        <attr name="mrb_progressTintMode" format="enum">
            <enum name="src_over" value="3" />
            <enum name="src_in" value="5" />
            <enum name="src_atop" value="9" />
            <enum name="multiply" value="14" />
            <enum name="screen" value="15" />
            <enum name="add" value="16" />
        </attr>
        <attr name="mrb_secondaryProgressTint" format="color|reference" />
        <attr name="mrb_secondaryProgressTintMode" format="enum">
            <enum name="src_over" value="3" />
            <enum name="src_in" value="5" />
            <enum name="src_atop" value="9" />
            <enum name="multiply" value="14" />
            <enum name="screen" value="15" />
            <enum name="add" value="16" />
        </attr>
        <attr name="mrb_progressBackgroundTint" format="color|reference" />
        <attr name="mrb_progressBackgroundTintMode" format="enum">
            <enum name="src_over" value="3" />
            <enum name="src_in" value="5" />
            <enum name="src_atop" value="9" />
            <enum name="multiply" value="14" />
            <enum name="screen" value="15" />
            <enum name="add" value="16" />
        </attr>
        <attr name="mrb_indeterminateTint" format="color|reference" />
        <attr name="mrb_indeterminateTintMode" format="enum">
            <enum name="src_over" value="3" />
            <enum name="src_in" value="5" />
            <enum name="src_atop" value="9" />
            <enum name="multiply" value="14" />
            <enum name="screen" value="15" />
            <enum name="add" value="16" />
        </attr>
        <attr name="mrb_fillBackgroundStars" format="boolean" />
    </declare-styleable>

    <declare-styleable name="ScaleIndicatorView">
        <attr name="normalSliderWidth" format="dimension" />
        <attr name="checkedSliderWidth" format="dimension" />
        <attr name="sliderHeight" format="dimension" />
        <attr name="sliderGap" format="dimension" />
        <attr name="normalColor" format="color" />
        <attr name="checkedColor" format="color" />
    </declare-styleable>

    <declare-styleable name="DownloadButton">
        <attr name="download_button_text_size" format="dimension" />
        <attr name="download_button_show_progress" format="boolean" />
        <attr name="download_button_show_percent" format="boolean" />
        <attr name="download_button_download_style" format="integer" />
    </declare-styleable>
</resources>